wmin=12.  & wmax=38.

iwrite=1

spawn,/sh,'ls *EVENLI*.FIT',efiles
nf=n_elements(efiles)

etol=.3
for i=0,nf-1 do begin
    l0=mrdfits(efiles(i),0,/silent,hd0)
    l=mrdfits(efiles(i),1,/silent,hd)
    pi=l.pi
    wave=l.m_lambda
    energy=12398.5/wave

    sel=where(wave ge wmin and wave le wmax,n)
    sel1=where(abs(2.-pi(sel)/energy(sel)) lt etol)
    mysel=sel(sel1)
    l(mysel).pi=l(mysel).pi/2
    lnew=[l,l(mysel)]

    plot_ps,fname='evts_'+cut(i)+'.ps',/noclose,12398.5/l.m_lambda,l.pi,psym=3
    oplot,color=155,!x.crange,!x.crange
    oplot,color=199,!x.crange,!x.crange*2

    oplot,color=55,12398.5/l(mysel).m_lambda,l(mysel).pi,psym=3
    device,/close

    if iwrite gt 0 then begin
       mwrfits,l0,efiles(i)+'_new',hd0,/create     
       mwrfits,lnew,efiles(i)+'_new',hd
       j=2
       l1=mrdfits(efiles(i),j,/silent,hd1)
       while hd1(0) ne '' do begin
           hd1=''
           l1=mrdfits(efiles(i),j,/silent,hd1)
           if hd1(0) ne '' then begin
              extname=header_str(hd1,'EXTNAME')
              test=str_sep(extname,"'")
              xten=header_str(hd1,'XTENSION')
              test1=str_sep(xten,"'")
              print,test(1)+' '+test1(1),n_elements(l1)
              mwrfits,l1,efiles(i)+'_new',hd1
           endif
           j=j+1
       endwhile
       spawn,/sh,'mv '+efiles(i)+' '+efiles(i)+'_old'
       spawn,/sh,'mv '+efiles(i)+'_new '+efiles(i)
    endif
endfor
@preset

end
